コンテンツにスキップ
Influence
Esc
↑↓移動↵開く⌘Jプレビュー

利用可能なツールを取得

Bearer 認証情報で利用できるツールの名前、説明、権限範囲、確認要件、入力スキーマを返します。

GET/api/v1/tools
認可
AuthorizationBearer トークン · header必須

権限範囲を指定した Influence API キー、または対応する OAuth アクセストークンを使用します。認証情報を URL やツールの入力に含めないでください。

レスポンス
200

利用可能なツールの情報。

toolsobject[]必須
プロパティを表示
object の配列
annotationsobject必須
プロパティを表示
destructiveHintboolean必須
idempotentHintboolean必須
openWorldHintboolean必須
readOnlyHintboolean必須
confirmationstring必須
指定できる値:nonerequired
descriptionstring必須
最小長: 1 · 最大長: 1024
gatestring必須
指定できる値:coregenerative-ai
mutabilitystring必須
指定できる値:readexternal-readwriteexternal-write
namestring必須
指定できる値:adAuditQuoteadAuditStartadAuditGetadAuditListsearchfetchprofileGetconnectionStatusGetaccountListwhatsappContactListwhatsappTemplateListwhatsappMediaListcampaignGetcampaignListcampaignDraftSavemediaListmediaImportmediaUploadCreatemediaUploadPartmediaUploadCompletemediaUploadGetmediaUploadAbortmediaGetcampaignReviewcampaignReviewGetcampaignReviewExecutecampaignScheduleBatchReviewcampaignScheduleBatchExecutescheduleListbrandContextGetinsightsAccountListinsightsPostListinsightsRefreshcampaignPlanGetcampaignPlanGenerateimageGenerationQuoteimageGenerationStartimageGenerationListintegrationListgroupListintegrationSchemadevtoOrganizationListdevtoTagListdiscordChannelListdiscourseCategoryListdiscourseTagListdiscourseTopicSearchdribbbleTeamListghostAuthorListghostNewsletterListghostTagListghostTierListhashnodePublicationListlemmyCommunitySearchlistmonkListsGetlistmonkTemplateListmattermostChannelListmeweGroupListpinterestBoardListredditSubredditRequirementsGetredditSubredditSearchslackChannelListteamsChannelListtiktokCreatorInfoGetvkDestinationListwhopCompanyListwhopExperienceListwordpressCategoryListwordpressPostTypeListwordpressTagListwrapcastChannelSearchintegrationSchedulePostToolpostsListToolpostSettingsToolgenerateVideoOptionsvideoFunctionToolgenerateVideoToolgenerateImageTooluploadFromUrlTool
scopesstring[]必須
最大要素数: 4
titlestring必須
最小長: 1 · 最大長: 80
inputSchemaobject必須
プロパティを表示
typestring必須
400

リクエストが無効です。クエリパラメーターは受け付けません。入力検証の失敗はツールエラー形式で返される場合があります。

errorobject必須
プロパティを表示
codestring必須
messagestring必須
retryableboolean必須
401

Bearer 認証情報が未指定、無効、または期限切れです。

errorobject必須
プロパティを表示
codestring必須
messagestring必須
retryableboolean必須
403

認証情報に必要な権限がありません。

errorobject必須
プロパティを表示
codestring必須
messagestring必須
retryableboolean必須
404

API または指定したツールを利用できません。

errorobject必須
プロパティを表示
codestring必須
messagestring必須
retryableboolean必須
429

リクエスト上限に達しました。再試行できます。

errorobject必須
プロパティを表示
codestring必須
messagestring必須
retryableboolean必須
503

API または処理を実行するサービスを利用できません。

errorobject必須
プロパティを表示
codestring必須
messagestring必須
retryableboolean必須
リクエスト
curl -X GET 'https://influence.so/api/v1/tools' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
レスポンス
{
  "tools": [
    {
      "annotations": {
        "destructiveHint": true,
        "idempotentHint": true,
        "openWorldHint": true,
        "readOnlyHint": true
      },
      "confirmation": "none",
      "description": "string",
      "gate": "core",
      "mutability": "read",
      "name": "adAuditQuote",
      "scopes": [
        "integrations:read"
      ],
      "title": "string",
      "inputSchema": {
        "type": "object",
        "property1": "string",
        "property2": "string"
      },
      "property1": "string",
      "property2": "string"
    }
  ],
  "property1": "string",
  "property2": "string"
}